/* This file is part of the Neper software package. */
/* Copyright (C) 2003-2014, Romain Quey. */
/* See the COPYING file in the top-level directory. */

#include"net_seed_ori_.h"

void
net_seed_ori (struct IN In, struct SEEDSET *pGSet)
{
  if (!strcmp (In.oridistrib, "3D"))
    net_seed_ori_3d (pGSet);

  else if (!strncmp (In.oridistrib, "fibre", 5))
    net_seed_ori_fibre (In.oridistrib, pGSet);

  else
    abort ();

  return;
}
